# $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/util/Makefile.am 1072 2018-11-13 10:58:04Z depa $

include $(top_srcdir)/config/all.mk

lib_LTLIBRARIES = libSharknirUtil.la

libSharknirUtil_la_SOURCES =                               \
    Assertions.h Assertions.cpp                         \
    Clock.h ClockPtr.h Clock.cpp                        \
    NiceClock.h NiceClock.cpp                           \
    C++11.h \
    $(top_srcdir)/src/util/SharedPtr.h


libSharknirUtil_la_LIBADD = $(BASDA_LDFLAGS) $(NICE_LIBS) $(LIBCURL)
libSharknirUtil_la_LDFLAGS = $(NICE_LDFLAGS) -version-info ${LIBRARY_VERSION} \
    -no-undefined
libSharknirUtil_la_CXXFLAGS = $(BASDA_CXXFLAGS) $(NICE_CXXFLAGS) $(ICE_CXXFLAGS) \
    -I$(top_srcdir)/src $(LIBCURL_CPPFLAGS)

# ComputerIsUnreachable.h
#     IceUtilSharedPtrLessComparator.h
#     Endianness.h
#     MemoryBuffer.h MemoryBuffer.cpp
#     MemoryBufferPtr.h
# SubversionId.h
#     http/CachingHttpClient.h http/CachingHttpClient.cpp
#     http/CurlHttpClient.h http/CurlHttpClient.cpp
#     http/CurlLibrary.h http/CurlLibrary.cpp
#     http/GetRequest.h http/GetRequest.cpp
#     http/GetRequestPtr.h
#     http/HttpClient.h http/HttpClient.cpp
#     http/HttpClientPtr.h
#     http/HttpRequestBase.h http/HttpRequestBase.cpp
#     http/HttpRequestBasePtr.h
#     http/HttpResponse.h http/HttpResponse.cpp
#     http/HttpResponsePtr.h
#     http/PostRequest.h http/PostRequest.cpp
#     http/PostRequestPtr.h
#     http/WebPage.h http/WebPage.cpp
#     http/WebPagePtr.h
